Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227625 - [pa_IN] default selected Time zone is Amercia/NewYork, instead of Aisa/Calcuta
Summary: [pa_IN] default selected Time zone is Amercia/NewYork, instead of Aisa/Calcuta
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 511186
TreeView+ depends on / blocked
 
Reported: 2007-02-07 05:33 UTC by A S Alam
Modified: 2013-07-03 00:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 511186 (view as bug list)
Environment:
Last Closed: 2007-02-21 19:59:44 UTC


Attachments (Terms of Use)

Description A S Alam 2007-02-07 05:33:42 UTC
Description of problem:
during installation in Punjabi (Indian Language), default selected Time zone was
US/NewYork, but it should  be Calcuta

Version-Release number of selected component (if applicable):
anaconda-11.2.0.19-1.x86_64.rpm  

How reproducible:
Everytime during install in Punjabi

Steps to Reproduce:
1. Select Installation in Punjabi
2. Move forward till Time zone reach
3.
  
Actual results:
it is US/NewYork

Expected results:
should Asia/Calcuta (India)

Additional info:
using following build
rawhide-20070206

Comment 1 Andrew Bartlett 2007-02-07 22:28:55 UTC
While for some languages it might be quite clear the connection between the
Language and a good guess at the location, is this something we can actually do
in the general case, without causing nightmares?

What would happen if we selected timezones based on a language shared between
two countries that object to the other?  We will quickly have nobody happy.

Personally I think the default should be UTC until the map is clicked.

Comment 2 A S Alam 2007-02-08 04:14:42 UTC
it is based on locale, as pa_IN is represent Punjabi_India, where *_IN is
limiting the area as India, and so timezone is clearly 1 and only 1  Calcutta.



Comment 3 Andrew Bartlett 2007-02-08 11:44:35 UTC
Sure, but should en_AU be Sydney, Adelaide or Perth?  Should en_US be east or
west coast?  I still argue you can't win...

Comment 4 A S Alam 2007-02-08 12:50:15 UTC
I think bug was only for pa_IN, not going to consider en_AU as it is very far
from my city

Comment 5 Chris Lumens 2007-02-21 19:59:44 UTC
This will be fixed in the next release of anaconda.  It affects at least all
languages that anaconda cannot display during the initial stage.


Note You need to log in before you can comment on or make changes to this bug.